/**
 * This injects Tailwind's base styles, which is a combination of
 * Normalize.css and some additional base styles.
 *
 * You can see the styles here:
 * https://github.com/tailwindcss/tailwindcss/blob/master/css/preflight.css
 *
 * If using `postcss-import`, use this import instead:
 *
 * @import "tailwindcss/preflight";
 */
@tailwind preflight;

/**
* This injects any component classes registered by plugins.
*
* If using `postcss-import`, use this import instead:
*
* @import "tailwindcss/components";
*/
@tailwind components;
 
/**
* Here you would add any of your custom component classes; stuff that you'd
* want loaded *before* the utilities so that the utilities could still
* override them.
*
* Example:
*
* .btn { ... }
* .form-input { ... }
*
* Or if using a preprocessor or `postcss-import`:
*
* @import "components/buttons";
* @import "components/forms";
*/

/**
* This injects all of Tailwind's utility classes, generated based on your
* config file.
*
* If using `postcss-import`, use this import instead:
*
* @import "tailwindcss/utilities";
*/
@tailwind utilities;
 
/**
* Here you would add any custom utilities you need that don't come out of the
* box with Tailwind.
*
* Example :
*
* .bg-pattern-graph-paper { ... }
* .skew-45 { ... }
*
* Or if using a preprocessor or `postcss-import`:
*
* @import "utilities/background-patterns";
* @import "utilities/skew-transforms";
*/
body, html {
	@apply text-monochrome-dark;
}

.secondary-font {
	font-family: 'Raleway', sans-serif;
}

.page-header {
	@apply px-8;
}

.page-header nav {
	@apply py-5;
}

.main-navigation {
	@apply list-reset flex flex-wrap items-center justify-center;
}

.navigation-badge-logo {
	@apply flex-none border-monochrome border-r-2 pr-2;
}

.navigation-badge-logo img {
	@apply w-16 h-16;
}

.navigation-badge-text-holder {
	font-family: 'Raleway', sans-serif;
	@apply flex-none pl-2 text-monochrome-light font-thin text-3xl leading-none;
}

.navigation-badge-text-holder a {
	@apply text-monochrome-light no-underline;
}

.menu-holder {
	@apply w-full mt-4;
}

.menu {
	font-family: 'Raleway', sans-serif;
	@apply list-reset flex font-thin justify-around mb-4;
}

ul.menu>li.menu-item>a {
	@apply pb-2 pt-3 px-4 no-underline text-monochrome border-b-2 border-transparent;
}

ul.menu>li.menu-item>a:hover {
	@apply text-monochrome-lighter bg-monochrome-dark;
}

ul.menu>li.menu-item>a.active, ul.menu>li.menu-item>a.active:hover {
	@apply text-monochrome border-monochrome font-medium bg-transparent;
}

.contact-box-holder {
	@apply inline
}

.contact-box {
	@apply bg-monochrome-lighter border-t-2 border-b-2 border-monochrome p-2 flex flex-wrap justify-center;
}

.contact-box a {
	@apply text-monochrome no-underline flex flex-no-wrap py-1;
}

.contact-box a svg {
	@apply w-4 h-4 fill-current mr-1;
}

.contact-box-column {
	@apply w-full mr-2 border-r-2 border-transparent;
}

.main-box {
	@apply w-full flex justify-around items-end;
	height: 104px;
}.main-box {
	background-image: radial-gradient(farthest-side at 50% 110%,
		#ffffff 0%, config('colors.monochrome-lightest') 100%);
}

.main-box-textbox {
	@apply justify-center flex items-center mx-auto my-6 text-monochrome;
}

.main-box-main-text {
	@apply text-5xl pr-2 tracking-wide font-black;
}

.main-box-secondary-text-holder {
	@apply border-l-2 border-monochrome pl-2 tracking-wide;
}

.main-box-secondary-text-item {
	@apply text-xl font-secondary font-light;
}

.main-box-asphalt {
	@apply absolute w-full pin-b bg-monochrome z-40 self-end;
	height: 2px;
}

.icon-holder {
	margin-bottom:2px;
}

.icon-appartment-building {
	width:74px;
	height:92px;
}

.icon-shop {
	width:51px;
	height:48px;
}

.icon-commercial-truck {
	width:59px;
	height:33px;
}

.icon-pickup-truck {
	width:45px;
	height:23px;
}

.icon-car {
	width:35px;
	height:18px;
}

.page-section {
	@apply px-8 mx-auto;
}

.page-subtitle {
	@apply text-monochrome text-4xl tracking-wide mt-4 mb-2;
}

section p {
	@apply py-2;
}

section a {
	@apply text-sm text-monochrome-dark p-1 -mx-1;
}

section a:hover {
	@apply text-monochrome-lightest bg-monochrome;
}

section .text-monochrome-xl {
	@apply text-monochrome text-xl;
}

@screen sm {
	.page-header {
		@apply px-16;
	}
	
	.contact-box {
		@apply w-auto flex-none;
	}
	
	.main-box {
		height:200px;
	}

	.main-box-asphalt {
		height: 2px;
	}
	
	.icon-appartment-building {
		width: 142px;
		height:177px;
	}
	
	.icon-shop {
		width:99px;
		height:91px;
	}
	
	.icon-commercial-truck {
		width:114px;
		height:64px;
	}
	
	.icon-pickup-truck {
		width:86px;
		height:45px;
	}
	
	.icon-car {
		width:67px;
		height:35px;
	}

	.step-description span {
		@apply ml-2;
	}
}

@screen md {
	.main-navigation {
		@apply flex-no-wrap;
	}
	
	.navigation-badge-logo {
		@apply pr-4 border-r-4;
	}

	.navigation-badge-logo img {
		@apply h-24 w-24;
	}

	.navigation-badge-text-holder {
		@apply text-5xl;
	}

	.contact-box-holder {
		@apply absolute pin-t pin-r max-w-lg mx-auto px-16;
	}

	.contact-box {
		@apply flex-no-wrap border-b-0;
	}

	.contact-box-column.column-one {
		@apply border-r-2 border-monochrome pr-2;
	}

	.main-box-textbox {
		@apply inline-flex absolute pin-r mb-0 mt-25 mr-24;
	}

	.contact-box {
		@apply flex-no-wrap;
	}

	.menu {
		@apply justify-end mb-0;
	}

	.main-box {
		height: 267.5px;
	}

	.icon-holder {
		margin-bottom:6px;
	}
	
	.main-box-asphalt {
		height: 6px;
	}

	.icon-appartment-building {
		width:189px;
		height:236px;
	}

	.icon-shop {
		width:132px;
		height:122px;
	}

	.icon-commercial-truck {
		width:152px;
		height:85px;
	}

	.icon-pickup-truck {
		width:114px;
		height:60px;
	}

	.icon-car {
		width:90px;
		height:46px;
	}

	.page-subtitle {
		@apply mt-6;
	}

	.form-checkbox-group {
		@apply flex items-center;
	}
}

@screen lg {
	/* .navigation-badge-logo {
		@apply border-r-4;
	} */
	
	.main-box {
		height: 344px;
	}

	.main-box-main-text {
		@apply text-7xl pr-6;
	}

	.main-box-secondary-text-holder {
		@apply border-l-4 pl-6;
	}

	.main-box-secondary-text-item {
		@apply text-3xl;
	}

	.icon-holder {
		margin-bottom:8px;
	}

	.main-box-asphalt {
		height: 8px;
	}

	.icon-appartment-building {
		width: 244px;
		height:304px;
	}

	.icon-shop {
		width:170px;
		height:157px;
	}

	.icon-commercial-truck {
		width:197px;
		height:110px;
	}

	.icon-pickup-truck {
		width:148px;
		height:78px;
	}

	.icon-car {
		width:116px;
		height:60px;
	}
}

.steps-holder {
	@apply rounded my-3 max-w-lg mx-auto px-5 py-4 border-2 border-monochrome-lighter;
}

.step-holder {
	@apply block w-full;
}

.step-description-holder {
	@apply inline-flex items-center;
}

.step-description {
	@apply text-monochrome text-2xl tracking-wide;
}

.button {
	@apply inline-block no-underline px-2 py-1 text-sm;
}

.button.form-submit {
	@apply border border-monochrome-dark inline-block bg-monochrome-dark text-monochrome-lightest rounded mr-1 mb-1;
}

.button.form-submit:hover {
	@apply bg-monochrome-light text-monochrome-dark;
}

.button.form-back {
	@apply inline-block border border-monochrome bg-transparent text-monochrome rounded ml-4 mr-1 mb-1;
}

.button.form-back:hover {
	@apply bg-monochrome text-monochrome-lightest border-transparent;
}

.button.form-step {
	@apply inline-block rounded-full border border-transparent text-monochrome-dark bg-monochrome-lightest mr-1 mb-1;
}

.button.form-step:hover {
	@apply bg-monochrome text-monochrome-lightest border-monochrome;
}

/* .form-radio-button {
	@apply inline-block px-2 py-1 bg-monochrome-lighter text-sm border border-transparent rounded-full mx-1 cursor-pointer;
} */

/* .form-checkbox-group {
	@apply flex items-center;
} */

.form-element {
	@apply block my-5;
}

.form-element.submit-buttons-holder {
	@apply flex items-center;
}

.form-label {
	@apply block mb-1;
}

.form-input-text.error, input:invalid {
	@apply text-red border-red bg-red-lightest;
}

.form-input-text, input:required {
	@apply outline-none text-sm bg-monochrome-lightest border-b border-monochrome p-1;
}

.form-element-helper {
	@apply block text-sm text-monochrome secondary-font mt-1;
}

.form-element-helper.error {
	@apply text-red font-black;
}

.form-element-textarea {
	@apply block outline-none text-sm w-full bg-monochrome-lightest border border-monochrome rounded p-1 h-24 resize-none;
}

.form-checkbox-label {
	@apply inline-block text-sm py-1 px-2 border border-monochrome rounded-full mx-1 cursor-pointer mb-1 whitespace-no-wrap;
}

.form-checkbox {
	@apply hidden;
}

.form-film-amount {
	@apply flex items-center;
}

.form-film-measure {
	@apply text-sm py-1 px-2 border border-monochrome rounded-full mx-1 cursor-pointer;
}

input[type="radio"] {
	opacity: 0;
	width: 0;
	height: 0;
}

input:checked + label {
	@apply bg-monochrome-dark text-monochrome-lightest border-monochrome-dark;
}

/* input:invalid+span:after {
	color: red;
	content: '✖';
  padding-left: 5px;
}

input:valid+span:after {
  content: '✓';
  padding-left: 5px;
} */
